import java.io.*;
import sun.audio.*;

/**
 * A simple Java sound file example (i.e., Java code to play a sound file).
 * AudioStream and AudioPlayer code comes from a javaworld.com example.
 * @author alvin alexander, devdaily.com.
 */
public class Player
{
  
  AudioStream audioStream;
  InputStream input;
  String fileName;
  
  public Player(String fileName)
  {
    try
    {
      setFileName(fileName);
      InputStream input = new FileInputStream(fileName);
      setInput(input);
      AudioStream audioStream = new AudioStream(input);
      setAudioStream(audioStream);
    } catch (Exception e)
    {
      e.printStackTrace();
    }
  }
  
  public void setInput(InputStream input)
  {
    this.input = input;
  }
  
  public InputStream getInput()
  {
    return input;
  }
  
  public void setFileName(String fileName)
  {
    this.fileName = fileName;
  }
  
  public String getFileName()
  {
    return fileName;
  }
  
  public void setAudioStream(AudioStream audioStream)
  {
    this.audioStream = audioStream;
  }
  
  public AudioStream getAudioStream()
  {
    return audioStream;
  }
  
  public void play()
  {
    System.out.println("Audio Player Playing...");
    // play the audio clip with the audioplayer class
    AudioPlayer.player.start(audioStream);
  }
  
  public void rewind()
  {
     try
    {
      AudioPlayer.player.stop(audioStream);
      InputStream input = new FileInputStream(getFileName());
      setInput(input);
      AudioStream audioStream = new AudioStream(input);
      setAudioStream(audioStream);
    } catch (Exception e)
    {
      e.printStackTrace();
    }
  }
  
  public void stop()
  {
    // play the audio clip with the audioplayer class
    AudioPlayer.player.stop(audioStream);
  }
  
  public static void main(String[] args)
  {
    Player player = new Player("crescendo.wav");   
    player.play();
  }
  
}